package vip.xumy.core.pojo.com;

import java.util.List;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;

@Setter
@Getter
@Schema(description = "分页查询返回格式")
public class PageResponse<E> {
	@Schema(description = "数据总条数")
	private long total;
	@Schema(description = "返回数据")
	private List<E> data;

	public PageResponse(List<E> list, long total) {
		this.total = total;
		data = list;
	}

}