package vip.xumy.core.exception;

import lombok.Getter;

@Getter
public class CoreException extends RuntimeException{
	private static final long serialVersionUID = 1L;
	
	private String errCode;
	private String errDesc;

	
	public CoreException(Throwable e){
		super(e);
	}

	public CoreException(String msg){
		super(msg);
	}
	
	public CoreException(String msg, Throwable e){
		super(msg, e);
	}
	
	public CoreException(String code, String msg){
		this(msg);
		this.errCode = code;
	}
	
	public CoreException(String code, String msg, Throwable e){
		this(msg, e);
		this.errCode = code;
	}
}
